using System;
using System.Collections.Generic;
using System.IO.Ports;
using System.Text;
using HBDotNet;

namespace EnergyMonitorHB
{
    class SerialIO
    {
        public static SerialPort myPort;

        public static bool Open(string comPort)
        {
            if (SignIO.myPort == null || !SignIO.myPort.IsOpen)
            {
                try
                {
                    myPort = new SerialPort(comPort, 9600, Parity.None, 8, StopBits.One);
                    myPort.Open();
                    return true;
                }
                catch (Exception ex)
                {
                    return false;
                    //throw;
                }
            }
            return true;
        }

        public static void Close()
        {
            if (myPort.IsOpen) SignIO.myPort.Close();
        }

        public static void Write(string stringToWrite)
        {
            myPort.Write(stringToWrite);
        }

        public static void Write(byte[] byteArray)
        {
            myPort.Write(byteArray, 0, byteArray.Length);
        }

        public static void Write(char[] charArray)
        {
            myPort.Write(charArray, 0, charArray.Length);
        }

        public static void Write(byte[] byteArray, int offset, int count)
        {
            myPort.Write(byteArray, offset, count);
        }

        public static void Write(char[] charArray, int offset, int count)
        {
            myPort.Write(charArray, offset, count);
        }

        public static char ReadChar()
        {
            return myPort.ReadChar();
        }

    }
}
